taccuino.vo

## Class UpdateHealthcareContactRequest

- java.lang.Object
- - taccuino.vo.UpdateHealthcareContactRequest

-     public class UpdateHealthcareContactRequest
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ContattoStrutturaSanitariaRequestDTO` | `contattoStrutturaSanitaria`
    `private String` | `idContattoStrutturaSanitaria`
    `private String` | `patientCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateHealthcareContactRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContattoStrutturaSanitariaRequestDTO` | `getContattoStrutturaSanitaria()`
    `String` | `getIdContattoStrutturaSanitaria()`
    `String` | `getPatientCode()`
    `void` | `setContattoStrutturaSanitaria(ContattoStrutturaSanitariaRequestDTO contattoStrutturaSanitaria)`
    `void` | `setIdContattoStrutturaSanitaria(String idContattoStrutturaSanitaria)`
    `void` | `setPatientCode(String patientCode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patientCode

          private String patientCode

    - #### idContattoStrutturaSanitaria

          private String idContattoStrutturaSanitaria

    - #### contattoStrutturaSanitaria

          private ContattoStrutturaSanitariaRequestDTO contattoStrutturaSanitaria

  - ### Constructor Detail

    - #### UpdateHealthcareContactRequest

          public UpdateHealthcareContactRequest()

  - ### Method Detail

    - #### getPatientCode

          public String getPatientCode()

    - #### setPatientCode

          public void setPatientCode(String patientCode)

    - #### getIdContattoStrutturaSanitaria

          public String getIdContattoStrutturaSanitaria()

    - #### setIdContattoStrutturaSanitaria

          public void setIdContattoStrutturaSanitaria(String idContattoStrutturaSanitaria)

    - #### getContattoStrutturaSanitaria

          public ContattoStrutturaSanitariaRequestDTO getContattoStrutturaSanitaria()

    - #### setContattoStrutturaSanitaria

          public void setContattoStrutturaSanitaria(ContattoStrutturaSanitariaRequestDTO contattoStrutturaSanitaria)